Start New Discussion within our Linux and Unix Community

i have tried to install clamav antivirus on linux fedora but it give the following error:
Package /home/user/Downloads/clamav-0.96.1-1.el3.rf.x86_64.rpm has incompatible architecture x86_64. Valid architectures are

how can i fix this and how can i get the one that will work on my system.


if it ends in x86_64.rpm, thats a program for 64 bit. Get the 32 bit one instead. If you want to install Clam under RHEL or Fedora, dont use the RPMs, install it using "yum install clamav"

what is that antivirus for? There is no any virus in linux

I can only assume he is setting up a linux mail/file server. In which case Clam is a good idea to protect windows clients.

ClamAV works just fine as x86_64. How are you trying to install it? From source? On Fedora or RHEL, you can install x86_64 ClamAV from either the atrpms or epel repositories. Use either of these repositories and you should be able to install it just fine using yum. Most use the epel repository.

FWIW, the epel repository should be in the normal Fedora repositories. Just execute the command "yum install epel-release". Then after you install that, try "yum install clamav.x86_64".

This question has already been answered. Start a new discussion instead.